### Virtual Method

# Soup AuthDomain check_password

#### Declaration [src]

    gboolean
    check_password (
      SoupAuthDomain* domain,
      SoupServerMessage* msg,
      const char* username,
      const char* password
    )

#### Description [src]

Checks if `msg` authenticates to `domain` via `username` and `password`.

This would normally be called from a `SoupAuthDomainGenericAuthCallback`.

#### Parameters

`msg` | `SoupServerMessage`
| A `SoupServerMessage`.
| The data is owned by the caller of the function.
`username` | `const char*`
| A username.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`password` | `const char*`
| A password.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| Whether or not the message is authenticated.